WP42DefineColumnsGroup Class Reference

`#include <WP42DefineColumnsGroup.h>`

Inheritance diagram for WP42DefineColumnsGroup:

## Public Member Functions

| WP42DefineColumnsGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP42DefineColumnsGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP42Listener *listener) override
Public Member Functions inherited from WP42MultiByteFunctionGroup
| WP42MultiByteFunctionGroup (unsigned char group)
| ~WP42MultiByteFunctionGroup () override
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()

## Private Attributes

unsigned char | m_groupId
unsigned char | m_numColumns
bool | m_isParallel
std::vector< unsigned char > | m_columnsDefinition

## Additional Inherited Members

Static Public Member Functions inherited from WP42MultiByteFunctionGroup
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP42MultiByteFunctionGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## WP42DefineColumnsGroup()

WP42DefineColumnsGroup::WP42DefineColumnsGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## ~WP42DefineColumnsGroup()

WP42DefineColumnsGroup::~WP42DefineColumnsGroup | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP42DefineColumnsGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP42MultiByteFunctionGroup.

## parse()

void WP42DefineColumnsGroup::parse | ( | WP42Listener * | listener | ) |

override virtual

Implements WP42Part.

## Member Data Documentation

## m_columnsDefinition

std::vector<unsigned char> WP42DefineColumnsGroup::m_columnsDefinition

private

Referenced by _readContents(), and WP42DefineColumnsGroup().

## m_groupId

unsigned char WP42DefineColumnsGroup::m_groupId

private

Referenced by _readContents(), and WP42DefineColumnsGroup().

## m_isParallel

bool WP42DefineColumnsGroup::m_isParallel

private

Referenced by _readContents(), and WP42DefineColumnsGroup().

## m_numColumns

unsigned char WP42DefineColumnsGroup::m_numColumns

private

Referenced by _readContents(), and WP42DefineColumnsGroup().

The documentation for this class was generated from the following files:

- WP42DefineColumnsGroup.h
- WP42DefineColumnsGroup.cpp